/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/


/* A11y Fixes */

/* Allow for esc key to close Kadence submenu */
.nav--toggle-sub li:hover > ul,
.nav--toggle-sub li.menu-item--toggled-on > ul,
.nav--toggle-sub li:not(.menu-item--has-toggle):focus > ul {
 display: none;
}

.main-navigation .menu-item .sub-menu {
  display: none;
}
.main-navigation .menu-item .sub-menu.submenu-open,
.main-navigation .menu-item .sub-menu.toggle-show {
  display: block;
}

/* Gravity Forms */
.gform_wrapper.gravity-theme input[type=color], .gform_wrapper.gravity-theme input[type=date], .gform_wrapper.gravity-theme input[type=datetime-local], .gform_wrapper.gravity-theme input[type=datetime], .gform_wrapper.gravity-theme input[type=email], .gform_wrapper.gravity-theme input[type=month], .gform_wrapper.gravity-theme input[type=number], .gform_wrapper.gravity-theme input[type=password], .gform_wrapper.gravity-theme input[type=search], .gform_wrapper.gravity-theme input[type=tel], .gform_wrapper.gravity-theme input[type=text], .gform_wrapper.gravity-theme input[type=time], .gform_wrapper.gravity-theme input[type=url], .gform_wrapper.gravity-theme input[type=week], .gform_wrapper.gravity-theme select, .gform_wrapper.gravity-theme textarea {
	font-size:1rem;
}
input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea {
	color: var(--global-palette3);
}
input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="tel"]:focus, input[type="range"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus, .gform_wrapper.gravity-theme .gfield textarea:focus, select:focus {
	border-color:#000000;
	outline:-webkit-focus-ring-color auto 1px !important;
}
/* Styling for floating label for gravity forms. 
 * Add class of floating-label to desired form fields */
.floating-label {
        position: relative;
}

.floating-label label {
    position: absolute;
    top: 12px;
    left: 0;
    margin: 0;
    opacity: 0;
    line-height: 1.4;
    font-size: 1rem;
    transition: all ease 0.4s;
}

.floating-label:focus-within label,
.floating-label input:focus ~ label, 
.floating-label textarea:focus ~ label,
.floating-label input.valid ~ label,
.floating-label textarea.valid ~ label, 
.floating-label input:visited ~ label,
.floating-label textarea:visited ~ label,
.floating-label input:-webkit-autofill ~ label,
.floating-label textarea:-webkit-autofill ~ label,
.floating-label.input-active label {
        top: 0;
    left: 16px;
    font-size: .875rem !important;
    color: var(--global-palette3);
    opacity: 1;
}

/* Basic A11Y fixes for Kadence Blocks */
body .kt-blocks-modal-link:not(.kb-btn-global-inherit):focus-within {
	outline:inherit;
}

/* Search Bar */
.woocommerce-product-search {
	position:relative;
}
.woocommerce-product-search .screen-reader-text {
	cursor: text;
	 font-size: 1rem;
	 left: 1rem;
	 margin: 0;
	 opacity: 0;
	 padding-right: 3.5em;
	 position: absolute;
	 top: 0.75rem;
	 font-weight: 500;
	 transition: all ease 0.4s;
}
.woocommerce-product-search:focus-within .screen-reader-text {
	clip:unset;
	clip-path:unset;
	height:auto;
	width:auto;
	left: 12px;
    padding: 0 5px !important;
    background: #fff;
    font-size: 13px!important;
    top: -13px;
    left: 1px;
    line-height: 19px;
    color: #383b41;
    opacity: 1;
}
.woocommerce-product-search input[type='search']::placeholder,
.search-form input[type='search']::placeholder {
	opacity:1;
}

/* menu */
body:not(.hide-focus-outline) .header-navigation li.menu-item--has-toggle>a:focus .dropdown-nav-toggle {
	opacity:1 !important;
}
body #search-drawer .drawer-inner form ::-webkit-input-placeholder {
	opacity:1;
}
#search-drawer input:-webkit-autofill,
#search-drawer input:-webkit-autofill:focus {
    transition: background-color 0s 600000s, color 0s 600000s !important;
}

/* Cookies */
.cky-preference-header .cky-btn-close img {
	filter:brightness(0);
}

/* Kadence Slider */
.kb-splide .splide__pagination__page:focus-visible {
	outline:2px solid #000;
}

/* Smart Slider */
body .n2-ss-slider :focus-visible,
body .n2-ss-slider a.n2-ow:focus-visible, 
body .n2-ss-slider .n2-ow-all a:focus-visible {
	outline:1px solid #fff !important;
	box-shadow:inset 0 0 0 1px #000000 !important;
}
.n2-ss-slider .n2-ss-widget.n2-ss-widget-hidden {
	display:none;
}

/* Forms */
body select,
body select.orderby {
	background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' class='kadence-svg-icon kadence-arrow-down-svg' fill='currentColor' version='1.1' xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E%3Cpath d='M5.293 9.707l6 6c0.391 0.391 1.024 0.391 1.414 0l6-6c0.391-0.391 0.391-1.024 0-1.414s-1.024-0.391-1.414 0l-5.293 5.293-5.293-5.293c-0.391-0.391-1.024-0.391-1.414 0s-0.391 1.024 0 1.414z'%3E%3C/path%3E%3C/svg%3E");
}

input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="tel"], input[type="range"], input[type="date"], input[type="month"], input[type="week"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="color"], textarea, body select, body .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--single .select2-selection__rendered {
	border-color:#4E5C74;
	color:var(--global-palette3);
}

/* Events Calendar */
.tribe-events .datepicker .day.focused, .tribe-events .datepicker .day:focus, .tribe-events .datepicker .day:hover, .tribe-events .datepicker .month.focused, .tribe-events .datepicker .month:focus, .tribe-events .datepicker .month:hover, .tribe-events .datepicker .year.focused, .tribe-events .datepicker .year:focus, .tribe-events .datepicker .year:hover {
	outline:2px solid #000;
}
.tribe-events-c-search__input-group {
	position:relative;
}
.tribe-events-c-search__input-group label {
	opacity:0;
	transition: all ease 0.4s;
}
.tribe-events-c-search__input-group:focus-within label {
	clip:unset;
	height:auto;
	width:auto;
	opacity:1;
	margin:0;
	top:-40px;
}
.tribe-events .datepicker .next .tribe-events-c-top-bar__datepicker-nav-icon-svg path, .tribe-events .datepicker .prev .tribe-events-c-top-bar__datepicker-nav-icon-svg path, #primary .tribe-events .tribe-common-c-btn-icon--caret-left .tribe-common-c-btn-icon__icon-svg path, #primary .tribe-events .tribe-common-c-btn-icon--caret-right .tribe-common-c-btn-icon__icon-svg path,
.tribe-events .tribe-events-c-nav__next:disabled .tribe-events-c-nav__next-icon-svg path, .tribe-events button.tribe-events-c-nav__next:disabled .tribe-events-c-nav__next-icon-svg path {
	fill:#707070;
}

/* WooCommerce */
select.orderby:focus-visible {
	outline:2px solid #000;
}
.kadence-shop-top-row {
	position:relative;
}
.kadence-shop-top-row .skip-link {
	right:0;
	left:auto;
}
span.required {
	color:red;
}
.form-description {
	font-size:1rem;
}
.kadence-product-gallery-thumbnails.splide.splide--nav>.splide__slider>.splide__track>.splide__list>.splide__slide:focus-visible,
.kb-splide .splide__arrows .splide__arrow:focus-visible{
	box-shadow:0 0 0 3px #000 !important;
	outline:2px solid #fff !important;
}
body .kb-advanced-slide-inner {
	overflow:visible;
}
/* used to display focus outline above, if needed adjust to not apply to general Kadence slider */
/*body .kb-splide .splide__list {
	padding:3px !important;
}
body .kb-splide.splide-initial .splide__list {
	gap:3px;
}*/
.gbtn.focused {
	outline: 2px solid #fff !important;
}
body .woocommerce form .form-row label {
	color:var(--global-palette3);
}
body .wp-element-button:disabled {
	opacity:0.7;
}


/* End A11y Fixes */

@media (min-width: 1025px) and (max-width: 1324px) {
    header .kb-identity {
        max-width: 180px;
    }
    header .wp-block-kadence-navigation .kb-link-wrap,
    header .kb-button.wp-block-button__link {
        font-size: 0.875rem;
    }
}
@media (max-width: 1024px) {
    .kb-off-canvas-inner .wp-block-kadence-navigation .kb-nav-link-content,
    .kb-off-canvas-inner .wp-block-kadence-navigation .kb-nav-dropdown-toggle-btn {
        color: var(--global-palette4);
    }
    .kb-off-canvas-inner .wp-block-kadence-navigation .menu-container>.menu>.menu-item.menu-item--toggled-on>.kb-link-wrap .kb-nav-link-content,
    .kb-off-canvas-inner .wp-block-kadence-navigation .menu-item--toggled-on .kb-nav-dropdown-toggle-btn,
    .kb-off-canvas-inner .wp-block-kadence-navigation .sub-menu .kb-nav-link-content, 
    .kb-off-canvas-inner .wp-block-kadence-navigation .sub-menu .kb-nav-dropdown-toggle-btn {
        color: var(--global-palette9);
    }
    .kb-off-canvas-inner .wp-block-kadence-navigation .navigation > .menu-container > .menu > .wp-block-kadence-navigation-link:not(.menu-item--toggled-on) > .kb-link-wrap{
        background: var(--global-palette9);
    }
    .kb-off-canvas-inner .wp-block-kadence-navigation .menu .menu-item--toggled-on>.sub-menu {
        margin-left: 0;
    }
    .kb-off-canvas-inner .wp-block-kadence-navigation .menu .menu-item--toggled-on>.sub-menu, 
    .kb-off-canvas-inner .wp-block-kadence-navigation .menu li:not(.menu-item--has-toggle):focus>.sub-menu {
        padding-bottom: 20px;
    }
    .kb-off-canvas-inner .wp-block-search .wp-block-search__input {
        height: 52px;
        background: var(--global-palette8);
    }
    .kb-off-canvas-inner .kb-button.wp-block-button__link {
        justify-content: flex-start;
    }
}
.kb-blocks-bg-slider .kb-gallery-pause-button {
    background-color: var(--global-palette-btn-bg) !important;
    opacity: 1;
}
.kb-button .kb-svg-icon-fe_arrowRight.kt-btn-icon-side-right {
    transition: all .2s ease;
}
.kb-button:hover .kb-svg-icon-fe_arrowRight.kt-btn-icon-side-right,
.kb-button:focus .kb-svg-icon-fe_arrowRight.kt-btn-icon-side-right {
    transform: translateX(5px);
    transition: all .2s ease;
}
.custom-hover-box .hover-display,
.custom-hover-box:hover .hover-hide,
.custom-hover-box:focus-within .hover-hide {
    opacity: 0;
    height: 0;
}
.custom-hover-box:hover .hover-display,
.custom-hover-box:focus-within .hover-display {
    opacity: 1;
    height: auto;
}
.custom-hover-box:focus-within > .kt-inside-inner-col::before {
    background: var(--global-palette9);
}
.kb-splide .splide__arrow svg {
    display: none;
}
.kb-splide.kb-slider-group-arrows .splide__arrows .splide__arrow::after {
    content: '';
    display: inline-block;
    width: 24px;
    height: 24px;
    mask-size: contain;
    mask-position: center;
    mask-repeat: no-repeat;
    mask-image: url("data:image/svg+xml,%3Csvg width='22' height='19' viewBox='0 0 22 19' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0.28125 8.53125L8.53125 0.28125C8.8125 0 9.32812 0 9.60938 0.28125C9.89062 0.5625 9.89062 1.07812 9.60938 1.35938L2.625 8.29688H20.3438C20.7188 8.29688 21.0938 8.67188 21.0938 9.04688C21.0938 9.46875 20.7188 9.79688 20.3438 9.79688H2.625L9.60938 16.7812C9.89062 17.0625 9.89062 17.5781 9.60938 17.8594C9.32812 18.1406 8.8125 18.1406 8.53125 17.8594L0.28125 9.60938C0 9.32812 0 8.8125 0.28125 8.53125Z' fill='white'/%3E%3C/svg%3E");
    background-color: var(--global-palette9);
}
.kb-splide.kb-slider-group-arrows .splide__arrows .splide__arrow.slick-next::after {
    transform: rotate(180deg);
}
@media (min-width: 1025px) and (max-width: 1399px) {
    .kb-row-layout-wrap.five-column__responsive > .kt-row-column-wrap.kt-has-5-columns {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}
.wp-block-kadence-advancedbtn.case-study__read-more {
    position: absolute;
    right: 0;
    bottom: 0;
}
body .kb-splide.kb-slider-arrow-position-bottom-left .splide__arrows {
    bottom: 0;
    left: 0;
    gap: 0;
}
body .kb-slider-arrow-position-outside-bottom-left.kb-splide.kb-slider-group-arrows .splide__arrows {
    gap: 0;
    bottom: -60px;
}
@media (min-width: 1025px) {
    body .kb-slider-arrow-position-outside-bottom-left.kb-splide.kb-slider-group-arrows .splide__arrows {
        bottom: -120px;
    }
}
.kb-splide.kb-slider-group-arrows .splide__arrows .splide__arrow {
    opacity: 1 !important;
    width: 56px;
    height: 56px;
    border-radius: 0;
}
.wp-block-kadence-column.stats-min-width {
    min-width: 240px;
} 
footer .wp-block-kadence-navigation.navigation-desktop-orientation-vertical .navigation-desktop-collapse-sub-menus-false .menu .sub-menu {
    margin-left: 0;
}
ul.footer-links {
    margin: 0;
    list-style: none;
}
ul.footer-links li {
    display: inline-block;
    padding: 0 12px;
}
ul.footer-links li:not(:last-child)::after {
    content: '/';
    position: relative;
    left: 12px;
}
@media (max-width: 1024px) {
    ul.footer-links {
        text-align: center;
    }
}
@media (min-width: 768px) and (max-width: 1024px) {
    .tablet-hide {
        display: none !important;
    }
}
@media (max-width: 767px) {
    .mobile-hide {
        display: none !important;
    }
}
.wp-block-kadence-query-card.space-between-column .kb-query-item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.wp-block-kadence-query-card.space-between-column .kb-query-item-flip-back {
    display: none;
}
